package me.nvus.customblockcmd;

import org.bukkit.Material;
import org.bukkit.configuration.ConfigurationSection;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.plugin.java.JavaPlugin;


public class CustomBlockCMD extends JavaPlugin implements Listener {

    @Override
    public void onEnable() {
        // Register events
        getServer().getPluginManager().registerEvents(this, this);

        // Load configuration
        saveDefaultConfig();
        FileConfiguration config = getConfig();
        config.options().copyDefaults(true);
        saveConfig();
    }

    @EventHandler
    public void onPlayerInteract(PlayerInteractEvent event) {
        Player player = event.getPlayer();
        if (event.getAction().toString().contains("RIGHT")) {
            Material clickedMaterial = event.getClickedBlock().getType();
            FileConfiguration config = getConfig();

            ConfigurationSection blockSection = config.getConfigurationSection(clickedMaterial.toString());
            if (blockSection != null) {
                String cmdType = blockSection.getString("cmd-type");
                String command = blockSection.getString("command");
                String message = blockSection.getString("message", "");

                if (cmdType.equalsIgnoreCase("player")) {
                    player.performCommand(command);
                    if (!message.isEmpty()) {
                        player.sendMessage(message);
                    }
                } else if (cmdType.equalsIgnoreCase("server")) {
                    getServer().dispatchCommand(getServer().getConsoleSender(), command);
                }
            }
        }
    }
}
